import { p as promiseResolve, b as bootstrapLazy } from './index-cabf4ff3.js';
export { s as setNonce } from './index-cabf4ff3.js';
import { g as globalScripts } from './app-globals-0f993ce5.js';

/*
 Stencil Client Patch Browser v4.13.0 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = import.meta.url;
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await globalScripts();
  return bootstrapLazy([["floating-wallet",[[2,"floating-wallet",{"walletAddress":[1,"wallet-address"],"walletVisible":[32],"iframeIsLoading":[32],"setWalletVisible":[64]}]]],["open-popup-notification",[[2,"open-popup-notification",{"action":[1],"walletAddress":[1,"wallet-address"]}]]],["trim-string",[[2,"trim-string",{"string":[1],"length":[2]}]]]], options);
});

//# sourceMappingURL=multiversx-sdk-dapp-ui-lib.js.map